set_image localhost/{{PROJECT}}:latest

# mount app sources and data:
# - /var/app/rollback/volumes can be rolled back on failed
# upgrades, suitable for application sources and assets.
# - /var/app/volumes is not copied on updates and more suitable
# for volatile data such as logs and databases.
# - "/vol_app:ro" means to make "/vol_app" read-only.
# If this is inconvenient, please remove ":ro".
add_volumes /var/app/rollback/volumes/{{PROJECT}}:/vol_app:ro
add_volumes /var/app/volumes/{{PROJECT}}:/vol_data

# Allow LED to be written. This is application specific
# and should be changed depending on your needs.
add_volumes /sys:/sys

# for firefox
add_volumes /opt/firmware:/opt/firmware:ro
add_volumes /tmp/xdg_home:/run/xdg_home
add_args --env=XDG_RUNTIME_DIR=/run/xdg_home
add_args --env=WAYLAND_DISPLAY=wayland-0

add_args --env=MOZ_ENABLE_WAYLAND=1
add_args --env=XDG_SESSION_TYPE=wayland
add_args --env=EGL_PLATFORM=wayland
add_args --env=GBM_BACKEND=gbm
add_args --env=__GLX_VENDOR_LIBRARY_NAME=mesa
add_args --env=MOZ_DISABLE_RDD_SANDBOX=1

# Allow input to containers and see output from containers
add_args -it

# Add environment variables set by Atmark Techno.
add_armadillo_env

set_restart no

# launch app
# set_command bash /vol_app/src/main.sh
set_command /usr/bin/firefox-esr --no-remote --kiosk -private-window https://www.yahoo.co.jp
